require "cwp/version"
require "colorize"
require 'json'
require 'yaml'
require "commands/cwp_api"
require 'net/http'
require 'net/https'
require 'uri'

module Cwp
	class Command
		def deploy_from_params(params)
			Platform.process_from_arguments(params)
		end
		def delete(params)
			Platform.validate_delete_platform(params)
		end
		def status(params)
			Platform.validate_and_check_status(params)
		end
		def wait(params)
			Platform.validate_and_check_wait_status(params)
		end
		def help
			puts "[ CLOUD WEB PORTAL COMMANDS ]".colorize(:blue)
			puts " - cwp deploy [ ARGUMENTS ]".colorize(:white)
			puts " - cwp status [ ARGUMENTS ]".colorize(:white)
			puts " - cwp wait status=completed [ ARGUMENTS ]".colorize(:white)
			puts " - cwp delete [ ARGUMENTS ]".colorize(:white)
			puts "FOR DETAIL DOC AND ARGUMENTS LIST REFER BELOW README URL".colorize(:yellow)
			puts " http://sysgit01.lab.services.ingenico.com/nhd/cloud_web_portal_cli/tree/master".colorize(:white)
		end
		def configuration_help_text
			puts "Please pass configuration parameters through file by one of the below option".colorize(:white)
			if RUBY_PLATFORM =~ /linux/
				puts " - ".colorize(:white)+" /etc/cwp.conf".colorize(:white)
			end
			puts " - ".colorize(:white)+" /HOME_DIR/.cwp/cwp.conf".colorize(:white)
			puts " - ".colorize(:white)+" CURRENT_DIR/cwp.conf".colorize(:white)
			puts " - ".colorize(:white)+" Pass configuration file path as argument EX:".colorize(:white)+" cwp deploy config_path=PATH_TO_YOUR_CONFIGURATION_FILE".colorize(:yellow)
			puts "[ NOTE ]".colorize(:blue)+" File format of cwp.conf".colorize(:white)
			puts "parameters:".colorize(:yellow)
			puts " login:".colorize(:yellow)+" xxx".colorize(:white)
			puts " password:".colorize(:yellow)+" yyy".colorize(:white)
			puts " url:".colorize(:yellow)+" http://example.com".colorize(:white)
			puts " organization:".colorize(:yellow)+" abc".colorize(:white)
			puts " compute_resource:".colorize(:yellow)+" peru".colorize(:white)
		end
	end
end
